package com.group.robot.info;

/**
 * 机器人信息类
 */
public class RobotInfo {
    private int robotId;          //机器人ID
    private String account;       //机器人账号
    private String nickName;      //昵称
    private String portrait;      //头像
    private String password;      //密码
    private boolean isOnline;     //是否在线
    private boolean isConnected;  //是否已连接到游戏服务器
    private boolean isConnecting; //是否正在连接
    private boolean isUsing;      //是否正在被使用
    private String roomId; //当前所在房间ID
    private int groupId; //当前群组ID
    private int wanfaId;    //当前玩法ID
    private long lastActiveTime;  //最后活跃时间
    private String session;
    private String token;

    
    public RobotInfo() {
        this.lastActiveTime = System.currentTimeMillis();
    }
    
    public int getRobotId() {
        return robotId;
    }
    
    public void setRobotId(int robotId) {
        this.robotId = robotId;
    }
    
    public String getAccount() {
        return account;
    }
    
    public void setAccount(String account) {
        this.account = account;
    }
    
    public String getNickName() {
        return nickName;
    }
    
    public void setNickName(String nickName) {
        this.nickName = nickName;
    }
    
    public String getPortrait() {
        return portrait;
    }
    
    public void setPortrait(String portrait) {
        this.portrait = portrait;
    }
    
    public String getPassword() {
        return password;
    }
    
    public void setPassword(String password) {
        this.password = password;
    }
    
    public boolean isOnline() {
        return isOnline;
    }
    
    public void setOnline(boolean online) {
        isOnline = online;
    }
    
    public boolean isConnected() {
        return isConnected;
    }
    
    public void setConnected(boolean connected) {
        isConnected = connected;
    }
    
    public boolean isConnecting() {
        return isConnecting;
    }
    
    public void setConnecting(boolean connecting) {
        isConnecting = connecting;
    }

    public boolean isUsing() {
        return isUsing;
    }

    public void setUsing(boolean using) {
        isUsing = using;
    }


    public String getRoomId() {
        return roomId;
    }

    public void setRoomId(String roomId) {
        this.roomId = roomId;
    }

    public int getWanfaId() {
        return wanfaId;
    }

    public void setWanfaId(int wanfaId) {
        this.wanfaId = wanfaId;
    }

    public long getLastActiveTime() {
        return lastActiveTime;
    }
    
    public void setLastActiveTime(long lastActiveTime) {
        this.lastActiveTime = lastActiveTime;
    }

    public String getSession() {
        return session;
    }

    public void setSession(String session) {
        this.session = session;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    public int getGroupId() {
        return groupId;
    }

    public void setGroupId(int groupId) {
        this.groupId = groupId;
    }

    @Override
    public String toString() {
        return "RobotInfo{" +
                "robotId=" + robotId +
                ", account='" + account + '\'' +
                ", isOnline=" + isOnline +
                ", isConnected=" + isConnected +
                ", roomId='" + roomId + '\'' +
                ", wanfaId=" + wanfaId +
                ", lastActiveTime=" + lastActiveTime +
                ", session='" + session + '\'' +
                ", token='" + token + '\'' +
                '}';
    }
}